import 'dart:async';

import 'package:fcs/domain/vo/contact.dart';
import 'package:fcs/helpers/firebase_helper.dart';
import 'package:fcs/pages/main/model/base_model.dart';
import 'package:logging/logging.dart';

class ContactModel extends BaseModel {
  final log = Logger('ContactModel');

  Future<void> saveContact(Contact contact) async {
    await request("/contact", "PUT",
        payload: contact.toMap(), token: await getToken());
    notifyListeners();
  }
}
